Index: plugins/themeEditor/_admin.php
===================================================================
--- plugins/themeEditor/_admin.php	(revision 2566)
+++ plugins/themeEditor/_admin.php	(revision 2815)
@@ -11,4 +11,7 @@
 # -- END LICENSE BLOCK -----------------------------------------
 if (!defined('DC_CONTEXT_ADMIN')) { return; }
+
+// Register admin URL base of plugin
+$core->adminurl->registercopy('admin.plugin.theme.editor','admin.plugin',array('p' => 'themeEditor'));
 
 if (!isset($__resources['help']['themeEditor'])) {
@@ -26,5 +29,5 @@
 	{
 		if ($id != 'default' && $core->auth->isSuperAdmin()) {
-			return '<p><a href="plugin.php?p=themeEditor" class="button">'.__('Edit theme files').'</a></p>';
+			return '<p><a href="'.$core->adminurl->get('admin.plugin.theme.editor').'" class="button">'.__('Edit theme files').'</a></p>';
 		}
 	}
Index: plugins/themeEditor/index.php
===================================================================
--- plugins/themeEditor/index.php	(revision 2805)
+++ plugins/themeEditor/index.php	(revision 2815)
@@ -70,5 +70,5 @@
 <head>
   <title><?php echo __('Edit theme files'); ?></title>
-  <link rel="stylesheet" type="text/css" href="index.php?pf=themeEditor/style.css" />
+  <link rel="stylesheet" type="text/css" href="<?php echo $core->adminurl->decode('load.plugin.file',array('pf' => 'themeEditor/style.css')); ?>" />
   <script type="text/javascript">
   //<![CDATA[
@@ -81,15 +81,15 @@
   </script>
   <?php echo dcPage::jsConfirmClose('file-form'); ?>
-  <script type="text/javascript" src="index.php?pf=themeEditor/script.js"></script>
+  <script type="text/javascript" src="<?php echo $core->adminurl->decode('load.plugin.file',array('pf' => 'themeEditor/script.js')); ?>"></script>
 <?php if ($user_ui_colorsyntax) { ?>
-  <link rel="stylesheet" type="text/css" href="index.php?pf=themeEditor/codemirror/codemirror.css" />
-  <link rel="stylesheet" type="text/css" href="index.php?pf=themeEditor/codemirror.css" />
-  <script type="text/JavaScript" src="index.php?pf=themeEditor/codemirror/codemirror.js"></script>
-  <script type="text/JavaScript" src="index.php?pf=themeEditor/codemirror/multiplex.js"></script>
-  <script type="text/JavaScript" src="index.php?pf=themeEditor/codemirror/xml.js"></script>
-  <script type="text/JavaScript" src="index.php?pf=themeEditor/codemirror/javascript.js"></script>
-  <script type="text/JavaScript" src="index.php?pf=themeEditor/codemirror/css.js"></script>
-  <script type="text/JavaScript" src="index.php?pf=themeEditor/codemirror/php.js"></script>
-  <script type="text/JavaScript" src="index.php?pf=themeEditor/codemirror/htmlmixed.js"></script>
+  <link rel="stylesheet" type="text/css" href="<?php echo $core->adminurl->decode('load.plugin.file',array('pf' => 'themeEditor/codemirror/codemirror.css')); ?>" />
+  <link rel="stylesheet" type="text/css" href="<?php echo $core->adminurl->decode('load.plugin.file',array('pf' => 'themeEditor/codemirror.css')); ?>" />
+  <script type="text/JavaScript" src="<?php echo $core->adminurl->decode('load.plugin.file',array('pf' => 'themeEditor/codemirror/codemirror.js')); ?>"></script>
+  <script type="text/JavaScript" src="<?php echo $core->adminurl->decode('load.plugin.file',array('pf' => 'themeEditor/codemirror/multiplex.js')); ?>"></script>
+  <script type="text/JavaScript" src="<?php echo $core->adminurl->decode('load.plugin.file',array('pf' => 'themeEditor/codemirror/xml.js')); ?>"></script>
+  <script type="text/JavaScript" src="<?php echo $core->adminurl->decode('load.plugin.file',array('pf' => 'themeEditor/codemirror/javascript.js')); ?>"></script>
+  <script type="text/JavaScript" src="<?php echo $core->adminurl->decode('load.plugin.file',array('pf' => 'themeEditor/codemirror/css.js')); ?>"></script>
+  <script type="text/JavaScript" src="<?php echo $core->adminurl->decode('load.plugin.file',array('pf' => 'themeEditor/codemirror/php.js')); ?>"></script>
+  <script type="text/JavaScript" src="<?php echo $core->adminurl->decode('load.plugin.file',array('pf' => 'themeEditor/codemirror/htmlmixed.js')); ?>"></script>
 <?php } ?>
 </head>
@@ -100,5 +100,5 @@
 	array(
 		html::escapeHTML($core->blog->name) => '',
-		__('Blog appearance') => 'blog_theme.php',
+		__('Blog appearance') => $core->adminurl->get('admin.blog.theme'),
 		__('Edit theme files') => ''
 	)).