Index: inc/public/default-templates/currywurst/README.md
===================================================================
--- inc/public/default-templates/currywurst/README.md	(revision 2623)
+++ inc/public/default-templates/currywurst/README.md	(revision 2675)
@@ -64,4 +64,39 @@
   - send-trackback
 
+### __layout.html
+
+Reprend l'intégralité du home.html et définit les blocs permettant l'héritage et extension
+
+La liste des noms utilisés pour les blocs sont les suivants (les noms sont composés de deux termes, le nom du parent direct du bloc et le nom du bloc en question, sachant que le nom 'attr' est réservé aux attributs des balises, comme pour 'body-attr') :
+
+- html-head : contenu de la balise head
+  - head-title : contenu de la balise title
+  - head-meta : liste des balises meta du head
+  - head-dc : liste des balises dublin core du head
+  - head-linkrel : liste des balises link rel du head
+- body-attr : attributs de la balise body
+- html-body : contenu de la balise body
+  - body-page : contenu de la div #page
+    - page-top : contenu d'entête de la div #page (en général inclusion du _top.html)
+    - page-wrapper : contenu principal de la div #page, soit le contenu de la div #wrapper
+      - wrapper-main : contenu principal de la div #wrapper, soit le contenu de la div #main
+        - main-content : contenu de la div #content
+      - wrapper-sidebar : contenu annexe de la div #wrapper (en général inclusion de _sidebar.html)
+    - page-footer : contenu de pied de page de la div #page (en général inclusion du _footer.html)
+
+Pour rappel, la hiérarchie des blocs html est la suivante :
+
+- html
+  - head
+  - body
+    - #page
+      - .header
+      - #wrapper
+        - #main
+          - #content
+        - #sidebar/.sidebar
+      - #footer/.footer
+
+
 ***
 
Index: inc/public/default-templates/currywurst/__layout.html
===================================================================
--- inc/public/default-templates/currywurst/__layout.html	(revision 2675)
+++ inc/public/default-templates/currywurst/__layout.html	(revision 2675)
@@ -0,0 +1,117 @@
+<!DOCTYPE html>
+<html lang="{{tpl:BlogLanguage}}">
+<head>
+	<tpl:Block name="html-head">
+		<meta charset="UTF-8" />
+
+		<title><tpl:Block name="head-title">{{tpl:BlogName encode_html="1"}}<tpl:PaginationIf start="0"> - {{tpl:lang page}} {{tpl:PaginationCurrent}}</tpl:PaginationIf></tpl:Block></title>
+
+		<tpl:Block name="head-meta">
+			<meta name="ROBOTS" content="{{tpl:BlogMetaRobots}}" />
+			<meta name="description" lang="{{tpl:BlogLanguage}}" content="{{tpl:BlogDescription cut_string="180" encode_html="1"}}<tpl:PaginationIf start="0"> - {{tpl:lang page}} {{tpl:PaginationCurrent}}</tpl:PaginationIf>" />
+			<meta name="copyright" content="{{tpl:BlogCopyrightNotice encode_html="1"}}" />
+			<meta name="author" content="{{tpl:BlogEditor encode_html="1"}}" />
+			<meta name="date" content="{{tpl:BlogUpdateDate iso8601="1"}}" />
+		</tpl:Block>	<!-- head-meta -->
+
+		<tpl:Block name="head-dc">
+			<link rel="schema.dc" href="http://purl.org/dc/elements/1.1/" />
+			<meta property="dc.title" lang="{{tpl:BlogLanguage}}" content="{{tpl:BlogName encode_html="1"}}<tpl:PaginationIf start="0"> - {{tpl:lang page}} {{tpl:PaginationCurrent}}</tpl:PaginationIf>" />
+			<meta property="dc.description" lang="{{tpl:BlogLanguage}}" content="{{tpl:BlogDescription encode_html="1"}}" />
+			<meta property="dc.language" content="{{tpl:BlogLanguage}}" />
+			<meta property="dc.publisher" content="{{tpl:BlogEditor encode_html="1"}}" />
+			<meta property="dc.rights" content="{{tpl:BlogCopyrightNotice encode_html="1"}}" />
+			<meta property="dc.date" content="{{tpl:BlogUpdateDate iso8601="1"}}" />
+			<meta property="dc.type" content="text" />
+			<meta property="dc.format" content="text/html" />
+		</tpl:Block>	<!-- head-dc -->
+
+		<tpl:Block name"head-linkrel">
+			<link rel="contents" title="{{tpl:lang Archives}}" href="{{tpl:BlogArchiveURL}}" />
+			<tpl:Categories>
+				<link rel="section" href="{{tpl:CategoryURL}}" title="{{tpl:CategoryTitle encode_html="1"}}" />
+			</tpl:Categories>
+
+			<tpl:Entries no_content="1">
+				<tpl:EntriesHeader>
+					<tpl:Pagination>
+						<tpl:PaginationIf end="0">
+							<link rel="prev" title="{{tpl:lang previous entries}}" href="{{tpl:PaginationURL offset="1"}}" />
+						</tpl:PaginationIf>
+
+						<tpl:PaginationIf start="0">
+							<link rel="next" title="{{tpl:lang next entries}}" href="{{tpl:PaginationURL offset="-1"}}" />
+						</tpl:PaginationIf>
+					</tpl:Pagination>
+				</tpl:EntriesHeader>
+
+				<link rel="chapter" href="{{tpl:EntryURL}}" title="{{tpl:EntryTitle encode_html="1"}}" />
+			</tpl:Entries>
+
+			<link rel="alternate" type="application/atom+xml" title="Atom 1.0" href="{{tpl:BlogFeedURL type="atom"}}" />
+			<link rel="EditURI" type="application/rsd+xml" title="RSD" href="{{tpl:BlogRSDURL}}" />
+			<link rel="meta" type="application/xbel+xml" title="Blogroll" href="{{tpl:BlogrollXbelLink}}" />
+		</tpl:Block>	<!-- head-linkrel -->
+
+		{{tpl:include src="_head.html"}}
+	</tpl:Block>	<!-- html-head -->
+</head>
+<body <tpl:Block name="body-attr">class="dc-home <tpl:SysIf current_mode="default">dc-home-first</tpl:SysIf>"</tpl:Block>>
+	<tpl:Block name="html-body">
+		<div id="page">
+			<tpl:Block name="body-page">
+				<tpl:Block name="page-top">
+					{{tpl:include src="_top.html"}}
+				</tpl:Block>	<!-- page-top -->
+
+				<div id="wrapper">
+					<tpl:Block name="page-wrapper">
+						<div id="main" role="main">
+							<tpl:Block name="wrapper-main">
+								<div id="content">
+									<tpl:Block name="main-content">
+
+										<tpl:Entries>
+
+											<!-- First page -->
+											<tpl:SysIf current_mode="default">
+												<tpl:LoopPosition start="1" length="1">
+													{{tpl:include src="_entry-full.html"}}
+												</tpl:LoopPosition>
+
+												<tpl:LoopPosition start="2">
+													{{tpl:include src="_entry-short.html"}}
+												</tpl:LoopPosition>
+											</tpl:SysIf>
+
+											<!-- Next pages -->
+											<tpl:SysIf current_mode="!default">
+												{{tpl:include src="_entry-short.html"}}
+											</tpl:SysIf>
+
+											<!-- Pagination -->
+											<tpl:EntriesFooter>
+												{{tpl:include src="_pagination.html"}}
+											</tpl:EntriesFooter>
+
+										</tpl:Entries>
+
+									</tpl:Block>	<!-- page-content -->
+								</div> <!-- End #content -->
+							</tpl:Block>	<!-- wrapper-main -->
+						</div> <!-- End #main -->
+
+						<tpl:Block name="wrapper-sidebar">
+							{{tpl:include src="_sidebar.html"}}
+						</tpl:Block>	<!-- wrapper-sidebar -->
+					</tpl:Block>	<!-- page-wrapper -->
+				</div> <!-- End #wrapper -->
+
+				<tpl:Block name="page-footer">
+					{{tpl:include src="_footer.html"}}
+				</tpl:Block>	<!-- page-footer -->
+			</tpl:Block>	<!-- body-page -->
+		</div> <!-- End #page -->
+	</tpl:Block>	<!-- html-body -->
+</body>
+</html>
Index: inc/public/default-templates/currywurst/home.html
===================================================================
--- inc/public/default-templates/currywurst/home.html	(revision 2669)
+++ inc/public/default-templates/currywurst/home.html	(revision 2675)
@@ -1,94 +1,1 @@
-<!DOCTYPE html>
-<html lang="{{tpl:BlogLanguage}}">
-<head>
-	<meta charset="UTF-8" />
-	<meta name="ROBOTS" content="{{tpl:BlogMetaRobots}}" />
-
-	<title>{{tpl:BlogName encode_html="1"}}<tpl:PaginationIf start="0"> - {{tpl:lang page}} {{tpl:PaginationCurrent}}</tpl:PaginationIf></title>
-	<meta name="description" lang="{{tpl:BlogLanguage}}" content="{{tpl:BlogDescription cut_string="180" encode_html="1"}}<tpl:PaginationIf start="0"> - {{tpl:lang page}} {{tpl:PaginationCurrent}}</tpl:PaginationIf>" />
-	<meta name="copyright" content="{{tpl:BlogCopyrightNotice encode_html="1"}}" />
-	<meta name="author" content="{{tpl:BlogEditor encode_html="1"}}" />
-	<meta name="date" content="{{tpl:BlogUpdateDate iso8601="1"}}" />
-
-	<link rel="schema.dc" href="http://purl.org/dc/elements/1.1/" />
-	<meta property="dc.title" lang="{{tpl:BlogLanguage}}" content="{{tpl:BlogName encode_html="1"}}<tpl:PaginationIf start="0"> - {{tpl:lang page}} {{tpl:PaginationCurrent}}</tpl:PaginationIf>" />
-	<meta property="dc.description" lang="{{tpl:BlogLanguage}}" content="{{tpl:BlogDescription encode_html="1"}}" />
-	<meta property="dc.language" content="{{tpl:BlogLanguage}}" />
-	<meta property="dc.publisher" content="{{tpl:BlogEditor encode_html="1"}}" />
-	<meta property="dc.rights" content="{{tpl:BlogCopyrightNotice encode_html="1"}}" />
-	<meta property="dc.date" content="{{tpl:BlogUpdateDate iso8601="1"}}" />
-	<meta property="dc.type" content="text" />
-	<meta property="dc.format" content="text/html" />
-
-	<link rel="contents" title="{{tpl:lang Archives}}" href="{{tpl:BlogArchiveURL}}" />
-	<tpl:Categories>
-		<link rel="section" href="{{tpl:CategoryURL}}" title="{{tpl:CategoryTitle encode_html="1"}}" />
-	</tpl:Categories>
-
-	<tpl:Entries no_content="1">
-		<tpl:EntriesHeader>
-			<tpl:Pagination>
-				<tpl:PaginationIf end="0">
-					<link rel="prev" title="{{tpl:lang previous entries}}" href="{{tpl:PaginationURL offset="1"}}" />
-				</tpl:PaginationIf>
-
-				<tpl:PaginationIf start="0">
-					<link rel="next" title="{{tpl:lang next entries}}" href="{{tpl:PaginationURL offset="-1"}}" />
-				</tpl:PaginationIf>
-			</tpl:Pagination>
-		</tpl:EntriesHeader>
-
-		<link rel="chapter" href="{{tpl:EntryURL}}" title="{{tpl:EntryTitle encode_html="1"}}" />
-	</tpl:Entries>
-
-	<link rel="alternate" type="application/atom+xml" title="Atom 1.0" href="{{tpl:BlogFeedURL type="atom"}}" />
-	<link rel="EditURI" type="application/rsd+xml" title="RSD" href="{{tpl:BlogRSDURL}}" />
-	<link rel="meta" type="application/xbel+xml" title="Blogroll" href="{{tpl:BlogrollXbelLink}}" />
-
-	{{tpl:include src="_head.html"}}
-</head>
-<body class="dc-home <tpl:SysIf current_mode="default">dc-home-first</tpl:SysIf>">
-	<div id="page">
-		{{tpl:include src="_top.html"}}
-
-		<div id="wrapper">
-
-			<div id="main" role="main">
-				<div id="content">
-
-					<tpl:Entries>
-
-						<!-- First page -->
-						<tpl:SysIf current_mode="default">
-							<tpl:LoopPosition start="1" length="1">
-								{{tpl:include src="_entry-full.html"}}
-							</tpl:LoopPosition>
-
-							<tpl:LoopPosition start="2">
-								{{tpl:include src="_entry-short.html"}}
-							</tpl:LoopPosition>
-						</tpl:SysIf>
-
-						<!-- Next pages -->
-						<tpl:SysIf current_mode="!default">
-							{{tpl:include src="_entry-short.html"}}
-						</tpl:SysIf>
-
-						<!-- Pagination -->
-						<tpl:EntriesFooter>
-							{{tpl:include src="_pagination.html"}}
-						</tpl:EntriesFooter>
-
-					</tpl:Entries>
-
-				</div> <!-- End #content -->
-			</div> <!-- End #main -->
-
-			{{tpl:include src="_sidebar.html"}}
-
-		</div> <!-- End #wrapper -->
-
-		{{tpl:include src="_footer.html"}}
-	</div> <!-- End #page -->
-</body>
-</html>
+{{tpl:extends parent="__layout.html"}}
Index: inc/public/default-templates/currywurst/post.html
===================================================================
--- inc/public/default-templates/currywurst/post.html	(revision 2669)
+++ inc/public/default-templates/currywurst/post.html	(revision 2675)
@@ -1,14 +1,15 @@
-<!DOCTYPE html>
-<html lang="{{tpl:BlogLanguage}}">
-<head>
-	<meta charset="UTF-8" />
+{{tpl:extends parent="__layout.html"}}
+
+<tpl:Block name="head-title">{{tpl:EntryTitle encode_html="1"}} - {{tpl:BlogName encode_html="1"}}</tpl:Block>
+
+<tpl:Block name="head-meta">
 	<meta name="ROBOTS" content="{{tpl:BlogMetaRobots}}" />
-
-	<title>{{tpl:EntryTitle encode_html="1"}} - {{tpl:BlogName encode_html="1"}}</title>
 	<meta name="description" lang="{{tpl:EntryLang}}" content="{{tpl:EntryContent full="1" encode_html="1" remove_html="1" cut_string="180"}}" />
 	<meta name="copyright" content="{{tpl:BlogCopyrightNotice encode_html="1"}}" />
 	<meta name="author" content="{{tpl:EntryAuthorCommonName encode_html="1"}}" />
 	<meta name="date" content="{{tpl:EntryDate iso8601="1"}}" />
+</tpl:Block>
 
+<tpl:Block name="head-dc">
 	<link rel="schema.dc" href="http://purl.org/dc/elements/1.1/" />
 	<meta property="dc.title" content="{{tpl:EntryTitle encode_html="1"}}" />
@@ -21,14 +22,16 @@
 	<meta property="dc.type" content="text" />
 	<meta property="dc.format" content="text/html" />
+</tpl:Block>
 
+<tpl:Block name"head-linkrel">
 	<link rel="top" href="{{tpl:BlogURL}}" title="{{tpl:lang Home}}" />
 	<link rel="contents" href="{{tpl:BlogArchiveURL}}" title="{{tpl:lang Archives}}" />
-
 	<tpl:EntryNext><link rel="next" href="{{tpl:EntryURL}}" title="{{tpl:EntryTitle encode_html="1"}}" /></tpl:EntryNext>
 	<tpl:EntryPrevious><link rel="prev" href="{{tpl:EntryURL}}" title="{{tpl:EntryTitle encode_html="1"}}" /></tpl:EntryPrevious>
+	<link rel="alternate" type="application/atom+xml" title="Atom 1.0" href="{{tpl:BlogFeedURL type="atom"}}" />
+</tpl:Block>
 
-	<link rel="alternate" type="application/atom+xml" title="Atom 1.0" href="{{tpl:BlogFeedURL type="atom"}}" />
-
-	{{tpl:include src="_head.html"}}
+<tpl:Block name="html-head">
+	{{tpl:parent}}
 
 	<script type="text/javascript" src="{{tpl:BlogThemeURL}}/../default/js/post.js"></script>
@@ -38,45 +41,32 @@
 		//]]>
 	</script>
-</head>
-<body class="dc-post">
-	<div id="page">
-		{{tpl:EntryPingData}}
+</tpl:Block>
 
-		{{tpl:include src="_top.html"}}
+<tpl:Block name="body-attr">class="dc-post"</tpl:Block>
 
-		<div id="wrapper">
+<tpl:Block name="page-top">
+	{{tpl:EntryPingData}}
+	{{tpl:parent}}
+</tpl:Block>
 
-			<div id="main" role="main">
-				<div id="content">
+<tpl:Block name="main-content">
+	<p class="navlinks topnl">
+		<tpl:EntryPrevious><a href="{{tpl:EntryURL}}"
+		 title="{{tpl:EntryTitle encode_html="1"}}" class="prev">&#171; {{tpl:EntryTitle encode_html="1"
+		 cut_string="50"}}</a></tpl:EntryPrevious>
+		<tpl:EntryNext> <span>-</span> <a href="{{tpl:EntryURL}}"
+		 title="{{tpl:EntryTitle encode_html="1"}}" class="next">{{tpl:EntryTitle encode_html="1"
+		 cut_string="50"}} &#187;</a></tpl:EntryNext>
+	</p>
 
-					<p class="navlinks topnl">
-						<tpl:EntryPrevious><a href="{{tpl:EntryURL}}"
-						 title="{{tpl:EntryTitle encode_html="1"}}" class="prev">&#171; {{tpl:EntryTitle encode_html="1"
-						 cut_string="50"}}</a></tpl:EntryPrevious>
-						<tpl:EntryNext> <span>-</span> <a href="{{tpl:EntryURL}}"
-						 title="{{tpl:EntryTitle encode_html="1"}}" class="next">{{tpl:EntryTitle encode_html="1"
-						 cut_string="50"}} &#187;</a></tpl:EntryNext>
-					</p>
+	{{tpl:include src="_simple-entry.html"}}
 
-					{{tpl:include src="_simple-entry.html"}}
-
-					<p class="navlinks">
-						<tpl:EntryPrevious><a href="{{tpl:EntryURL}}"
-						 title="{{tpl:EntryTitle encode_html="1"}}" class="prev">&#171; {{tpl:EntryTitle encode_html="1"
-						 cut_string="50"}}</a></tpl:EntryPrevious>
-						<tpl:EntryNext> <span>-</span> <a href="{{tpl:EntryURL}}"
-						 title="{{tpl:EntryTitle encode_html="1"}}" class="next">{{tpl:EntryTitle encode_html="1"
-						 cut_string="50"}} &#187;</a></tpl:EntryNext>
-					</p>
-
-				</div>
-			</div> <!-- End #main -->
-
-			{{tpl:include src="_sidebar.html"}}
-
-		</div> <!-- End #wrapper -->
-
-		{{tpl:include src="_footer.html"}}
-	</div> <!-- End #page -->
-</body>
-</html>
+	<p class="navlinks">
+		<tpl:EntryPrevious><a href="{{tpl:EntryURL}}"
+		 title="{{tpl:EntryTitle encode_html="1"}}" class="prev">&#171; {{tpl:EntryTitle encode_html="1"
+		 cut_string="50"}}</a></tpl:EntryPrevious>
+		<tpl:EntryNext> <span>-</span> <a href="{{tpl:EntryURL}}"
+		 title="{{tpl:EntryTitle encode_html="1"}}" class="next">{{tpl:EntryTitle encode_html="1"
+		 cut_string="50"}} &#187;</a></tpl:EntryNext>
+	</p>
+</tpl:Block>
Index: inc/public/default-templates/currywurst/search.html
===================================================================
--- inc/public/default-templates/currywurst/search.html	(revision 2603)
+++ inc/public/default-templates/currywurst/search.html	(revision 2675)
@@ -1,13 +1,14 @@
-<!DOCTYPE html>
-<html lang="{{tpl:BlogLanguage}}">
-<head>
-	<meta charset="UTF-8" />
+{{tpl:extends parent="__layout.html"}}
+
+<tpl:Block name="head-title">{{tpl:lang Search}} - {{tpl:SysSearchString encode_html="1"}} - {{tpl:BlogName encode_html="1"}}<tpl:PaginationIf start="0"> - {{tpl:lang page}} {{tpl:PaginationCurrent}}</tpl:PaginationIf></tpl:Block>
+
+<tpl:Block name="head-meta">
 	<meta name="ROBOTS" content="{{tpl:BlogMetaRobots robots="NOINDEX,NOARCHIVE"}}" />
-
-	<title>{{tpl:lang Search}} - {{tpl:SysSearchString encode_html="1"}} - {{tpl:BlogName encode_html="1"}}<tpl:PaginationIf start="0"> - {{tpl:lang page}} {{tpl:PaginationCurrent}}</tpl:PaginationIf></title>
 	<meta name="copyright" content="{{tpl:BlogCopyrightNotice encode_html="1"}}" />
 	<meta name="author" content="{{tpl:BlogEditor encode_html="1"}}" />
 	<meta name="date" content="{{tpl:BlogUpdateDate iso8601="1"}}" />
+</tpl:Block>
 
+<tpl:Block name="head-dc">
 	<link rel="schema.dc" href="http://purl.org/dc/elements/1.1/" />
 	<meta property="dc.title" lang="{{tpl:BlogLanguage}}" content="{{tpl:lang Search}} - {{tpl:SysSearchString encode_html="1"}} - {{tpl:BlogName encode_html="1"}}<tpl:PaginationIf start="0"> - {{tpl:lang page}} {{tpl:PaginationCurrent}}</tpl:PaginationIf>" />
@@ -18,8 +19,9 @@
 	<meta property="dc.type" content="text" />
 	<meta property="dc.format" content="text/html" />
+</tpl:Block>
 
+<tpl:Block name="head-linkrel">
 	<link rel="top" href="{{tpl:BlogURL}}" title="{{tpl:lang Home}}" />
 	<link rel="contents" href="{{tpl:BlogArchiveURL}}" title="{{tpl:lang Archives}}" />
-
 	<tpl:Entries no_content="1">
 		<tpl:EntriesHeader>
@@ -28,5 +30,4 @@
 					<link rel="prev" title="{{tpl:lang previous entries}}" href="{{tpl:PaginationURL offset="1"}}" />
 				</tpl:PaginationIf>
-
 				<tpl:PaginationIf start="0">
 					<link rel="next" title="{{tpl:lang next entries}}" href="{{tpl:PaginationURL offset="-1"}}" />
@@ -34,63 +35,44 @@
 			</tpl:Pagination>
 		</tpl:EntriesHeader>
-
 		<link rel="chapter" href="{{tpl:EntryURL}}" title="{{tpl:EntryTitle encode_html="1"}}" />
 	</tpl:Entries>
+	<link rel="meta" type="application/xbel+xml" title="Blogroll" href="{{tpl:BlogrollXbelLink}}" />
+</tpl:Block>
 
-	<link rel="meta" type="application/xbel+xml" title="Blogroll" href="{{tpl:BlogrollXbelLink}}" />
+<tpl:Block name="body-attr">class="dc-search"</tpl:Block>
 
-	{{tpl:include src="_head.html"}}
-</head>
-<body class="dc-search">
-	<div id="page">
-		{{tpl:include src="_top.html"}}
+<tpl:Block name="main-content">
+	<div id="content-info">
+		<h2>{{tpl:lang Search}}</h2>
+		<tpl:SysIf search_count="==0">
+			<p>{{tpl:SysSearchString encode_html="1" string="Your search for <em>%1$s</em> returned no result."}}</p>
+		</tpl:SysIf>
+		<tpl:SysIf search_count="==1">
+			<p>{{tpl:SysSearchString encode_html="1" string="Your search for <em>%1$s</em> returned <strong>%2$s</strong> result."}}</p>
+		</tpl:SysIf>
+		<tpl:SysIf search_count="&gt;1">
+			<p>{{tpl:SysSearchString encode_html="1" string="Your search for <em>%1$s</em> returned <strong>%2$s</strong> results."}}</p>
+		</tpl:SysIf>
+	</div>
 
-		<div id="wrapper">
+	<div class="content-inner">
+		<tpl:Entries type="post,page">
 
-			<div id="main" role="main">
-				<div id="content">
+			{{tpl:include src="_entry-short.html"}}
 
-					<div id="content-info">
-						<h2>{{tpl:lang Search}}</h2>
-						<tpl:SysIf search_count="==0">
-							<p>{{tpl:SysSearchString encode_html="1" string="Your search for <em>%1$s</em> returned no result."}}</p>
-						</tpl:SysIf>
-						<tpl:SysIf search_count="==1">
-							<p>{{tpl:SysSearchString encode_html="1" string="Your search for <em>%1$s</em> returned <strong>%2$s</strong> result."}}</p>
-						</tpl:SysIf>
-						<tpl:SysIf search_count="&gt;1">
-							<p>{{tpl:SysSearchString encode_html="1" string="Your search for <em>%1$s</em> returned <strong>%2$s</strong> results."}}</p>
-						</tpl:SysIf>
-					</div>
-
-					<div class="content-inner">
-						<tpl:Entries type="post,page">
-
-							{{tpl:include src="_entry-short.html"}}
-
-							<tpl:EntriesFooter>
-								<tpl:Pagination>
-									<p class="pagination">
-										<tpl:PaginationIf end="0">
-											<a href="{{tpl:PaginationURL offset="+1"}}" class="prev">&#171; {{tpl:lang previous entries}}</a> -
-										</tpl:PaginationIf>
-										 {{tpl:lang page}} {{tpl:PaginationCurrent}} {{tpl:lang of}} {{tpl:PaginationCounter}}
-										<tpl:PaginationIf start="0">
-											 - <a href="{{tpl:PaginationURL offset="-1"}}" class="next">{{tpl:lang next entries}} &#187;</a>
-										</tpl:PaginationIf>
-									</p>
-								</tpl:Pagination>
-							</tpl:EntriesFooter>
-						</tpl:Entries>
-					</div> <!-- End #content-inner -->
-				</div> <!-- End #content -->
-			</div> <!-- End #main -->
-
-			{{tpl:include src="_sidebar.html"}}
-
-		</div> <!-- End #wrapper -->
-
-		{{tpl:include src="_footer.html"}}
-	</div> <!-- End #page -->
-</body>
-</html>
+			<tpl:EntriesFooter>
+				<tpl:Pagination>
+					<p class="pagination">
+						<tpl:PaginationIf end="0">
+							<a href="{{tpl:PaginationURL offset="+1"}}" class="prev">&#171; {{tpl:lang previous entries}}</a> -
+						</tpl:PaginationIf>
+						 {{tpl:lang page}} {{tpl:PaginationCurrent}} {{tpl:lang of}} {{tpl:PaginationCounter}}
+						<tpl:PaginationIf start="0">
+							 - <a href="{{tpl:PaginationURL offset="-1"}}" class="next">{{tpl:lang next entries}} &#187;</a>
+						</tpl:PaginationIf>
+					</p>
+				</tpl:Pagination>
+			</tpl:EntriesFooter>
+		</tpl:Entries>
+	</div> <!-- End #content-inner -->
+</tpl:Block>