Index: admin/post.php
===================================================================
--- admin/post.php	(revision 3)
+++ admin/post.php	(revision 70)
@@ -366,38 +366,38 @@
 	
 	echo
-	'<p><label>'.__('Category:').
+	'<p><label for="cat_id">'.__('Category:').
 	form::combo('cat_id',$categories_combo,$cat_id,'maximal',3).
 	'</label></p>'.
 	
-	'<p><label>'.__('Entry status:').
+	'<p><label for="post_status">'.__('Entry status:').
 	form::combo('post_status',$status_combo,$post_status,'',3,!$can_publish).
 	'</label></p>'.
 	
-	'<p><label>'.__('Published on:').
+	'<p><label for="post_dt">'.__('Published on:').
 	form::field('post_dt',16,16,$post_dt,'',3).
 	'</label></p>'.
 	
-	'<p><label>'.__('Text formating:').
+	'<p><label for="post_format">'.__('Text formating:').
 	form::combo('post_format',$formaters_combo,$post_format,'',3).
 	($post_id && $post_format != 'xhtml' ? '<a id="convert-xhtml" href="post.php?id='.$post_id.'&amp;xconv=1">'.__('Convert to XHTML').'</a>' : '').
 	'</label></p>'.
 	
-	'<p><label class="classic">'.form::checkbox('post_open_comment',1,$post_open_comment,'',3).' '.
+	'<p><label for="post_open_comment" class="classic">'.form::checkbox('post_open_comment',1,$post_open_comment,'',3).' '.
 	__('Accept comments').'</label></p>'.
-	'<p><label class="classic">'.form::checkbox('post_open_tb',1,$post_open_tb,'',3).' '.
+	'<p><label for="post_open_tb" class="classic">'.form::checkbox('post_open_tb',1,$post_open_tb,'',3).' '.
 	__('Accept trackbacks').'</label></p>'.
-	'<p><label class="classic">'.form::checkbox('post_selected',1,$post_selected,'',3).' '.
+	'<p><label for="post_selected" class="classic">'.form::checkbox('post_selected',1,$post_selected,'',3).' '.
 	__('Selected entry').'</label></p>'.
 	
-	'<p><label>'.__('Entry lang:').
+	'<p><label for="post_lang">'.__('Entry lang:').
 	form::combo('post_lang',$lang_combo,$post_lang,'',5).
 	'</label></p>'.
 	
-	'<p><label>'.__('Entry password:').
+	'<p><label for="post_password">'.__('Entry password:').
 	form::field('post_password',10,32,html::escapeHTML($post_password),'maximal',3).
 	'</label></p>'.
 	
 	'<div class="lockable">'.
-	'<p><label>'.__('Basename:').
+	'<p><label for="post_url">'.__('Basename:').
 	form::field('post_url',10,255,html::escapeHTML($post_url),'maximal',3).
 	'</label></p>'.
@@ -452,5 +452,5 @@
 	
 	echo
-	'<p class="col"><label class="required" title="'.__('Required field').'">'.__('Title:').
+	'<p class="col"><label class="required"><abbr title="'.__('Required field').'">*</abbr> '.__('Title:').
 	form::field('post_title',20,255,html::escapeHTML($post_title),'maximal',2).
 	'</label></p>'.
@@ -460,10 +460,10 @@
 	'</p>'.
 	
-	'<p class="area"><label class="required" title="'.__('Required field').'" '.
-	'for="post_content">'.__('Content:').'</label> '.
+	'<p class="area"><label class="required" '.
+	'for="post_content"><abbr title="'.__('Required field').'">*</abbr> '.__('Content:').'</label> '.
 	form::textarea('post_content',50,$core->auth->getOption('edit_size'),html::escapeHTML($post_content),'',2).
 	'</p>'.
 	
-	'<p class="area" id="notes-area"><label>'.__('Notes:').'</label>'.
+	'<p class="area" id="notes-area"><label for="post_notes">'.__('Notes:').'</label>'.
 	form::textarea('post_notes',50,5,html::escapeHTML($post_notes),'',2).
 	'</p>';
@@ -486,5 +486,5 @@
 	
 	if ($post_id && $post->post_status == 1) {
-		echo '<br /><p><a href="trackbacks.php?id='.$post_id.'" class="multi-part">'.
+		echo '<p><a href="trackbacks.php?id='.$post_id.'" class="multi-part">'.
 		__('Ping blogs').'</a></p>';
 	}
@@ -538,5 +538,5 @@
 	
 	if (!$trackbacks->isEmpty()) {
-		showComments($trackbacks,$has_action);
+		showComments($trackbacks,$has_action,true);
 	} else {
 		echo '<p>'.__('No trackback').'</p>';
@@ -555,5 +555,5 @@
 		'<p class="col checkboxes-helpers"></p>'.
 		
-		'<p class="col right">'.__('Selected comments action:').' '.
+		'<p class="col right"><label for="action" class="inline">'.__('Selected comments action:').'</label> '.
 		form::combo('action',$combo_action).
 		form::hidden('redir','post.php?id='.$post_id.'&amp;co=1').
@@ -577,18 +577,18 @@
 	'<form action="comment.php" method="post" id="comment-form">'.
 	'<fieldset class="constrained">'.
-	'<p><label class="required" title="'.__('Required field').'">'.__('Name:').
+	'<p><label for="comment_author" class="required"><abbr title="'.__('Required field').'">*</abbr> '.__('Name:').
 	form::field('comment_author',30,255,html::escapeHTML($core->auth->getInfo('user_cn'))).
 	'</label></p>'.
 	
-	'<p><label>'.__('Email:').
+	'<p><label for="comment_email">'.__('Email:').
 	form::field('comment_email',30,255,html::escapeHTML($core->auth->getInfo('user_email'))).
 	'</label></p>'.
 	
-	'<p><label>'.__('Web site:').
+	'<p><label for="comment_site">'.__('Web site:').
 	form::field('comment_site',30,255,html::escapeHTML($core->auth->getInfo('user_url'))).
 	'</label></p>'.
 	
-	'<p class="area"><label for="comment_content" class="required" title="'.
-	__('Required field').'">'.__('Comment:').'</label> '.
+	'<p class="area"><label for="comment_content" class="required"><abbr title="'.__('Required field').'">*</abbr> '.
+	__('Comment:').'</label> '.
 	form::textarea('comment_content',50,8,html::escapeHTML('')).
 	'</p>'.
@@ -604,5 +604,5 @@
 
 # Show comments or trackbacks
-function showComments($rs,$has_action)
+function showComments($rs,$has_action,$tb=false)
 {
 	echo
@@ -640,5 +640,5 @@
 		
 		'<td class="nowrap">'.
-		($has_action ? form::checkbox(array('comments[]'),$rs->comment_id,'','','',0) : '').'</td>'.
+		($has_action ? form::checkbox(array('comments[]'),$rs->comment_id,'','','',0,'title="'.($tb ? __('select this trackback') : __('select this comment')).'"') : '').'</td>'.
 		'<td class="maximal">'.html::escapeHTML($rs->comment_author).'</td>'.
 		'<td class="nowrap">'.dt::dt2str(__('%Y-%m-%d %H:%M'),$rs->comment_dt).'</td>'.
Index: admin/post_media.php
===================================================================
--- admin/post_media.php	(revision 0)
+++ admin/post_media.php	(revision 70)
@@ -66,6 +66,6 @@
 		'<form action="post_media.php" method="post">'.
 		'<p>'.__('Are you sure you want to remove this attachment?').'</p>'.
-		'<p><input type="submit" value="'.__('cancel').'" /> '.
-		' &nbsp; <input type="submit" name="remove" value="'.__('yes').'" />'.
+		'<p><input type="submit" class="reset" value="'.__('cancel').'" /> '.
+		' &nbsp; <input type="submit" class="delete" name="remove" value="'.__('yes').'" />'.
 		form::hidden('post_id',$post_id).
 		form::hidden('media_id',$media_id).
Index: admin/posts.php
===================================================================
--- admin/posts.php	(revision 3)
+++ admin/posts.php	(revision 70)
@@ -244,27 +244,27 @@
 	'<div class="three-cols">'.
 	'<div class="col">'.
-	'<label>'.__('Author:').
+	'<label for="user_id">'.__('Author:').
 	form::combo('user_id',$users_combo,$user_id).'</label> '.
-	'<label>'.__('Category:').
+	'<label for="cat_id">'.__('Category:').
 	form::combo('cat_id',$categories_combo,$cat_id).'</label> '.
-	'<label>'.__('Status:').
+	'<label for="status">'.__('Status:').
 	form::combo('status',$status_combo,$status).'</label> '.
 	'</div>'.
 	
 	'<div class="col">'.
-	'<label>'.__('Selected:').
+	'<label for="selected">'.__('Selected:').
 	form::combo('selected',$selected_combo,$selected).'</label> '.
-	'<label>'.__('Month:').
+	'<label for="month">'.__('Month:').
 	form::combo('month',$dt_m_combo,$month).'</label> '.
-	'<label>'.__('Lang:').
+	'<label for="lang">'.__('Lang:').
 	form::combo('lang',$lang_combo,$lang).'</label> '.
 	'</div>'.
 	
 	'<div class="col">'.
-	'<p><label>'.__('Order by:').
+	'<p><label for="sortby">'.__('Order by:').
 	form::combo('sortby',$sortby_combo,$sortby).'</label> '.
-	'<label>'.__('Sort:').
+	'<label for="order">'.__('Sort:').
 	form::combo('order',$order_combo,$order).'</label></p>'.
-	'<p><label class="classic">'.	form::field('nb',3,3,$nb_per_page).' '.
+	'<p><label for="nb" class="classic">'.	form::field('nb',3,3,$nb_per_page).' '.
 	__('Entries per page').'</label></p> '.
 	'<p><input type="submit" value="'.__('Apply filters').'" /></p>'.
@@ -284,5 +284,5 @@
 	'<p class="col checkboxes-helpers"></p>'.
 	
-	'<p class="col right">'.__('Selected entries action:').' '.
+	'<p class="col right"><label for="action" class="inline">'.__('Selected entries action:').'</label> '.
 	form::combo('action',$combo_action).
 	'<input type="submit" value="'.__('ok').'" /></p>'.
Index: admin/posts_actions.php
===================================================================
--- admin/posts_actions.php	(revision 0)
+++ admin/posts_actions.php	(revision 70)
@@ -224,5 +224,5 @@
 	echo
 	'<form action="posts_actions.php" method="post">'.
-	'<p><label class="classic">'.__('Category:').' '.
+	'<p><label for="new_cat_id" class="classic">'.__('Category:').' '.
 	form::combo('new_cat_id',$categories_combo,'').
 	'</label> ';
@@ -241,5 +241,5 @@
 	echo
 	'<form action="posts_actions.php" method="post">'.
-	'<p><label class="classic">'.__('Author ID:').' '.
+	'<p><label for="new_auth_id" class="classic">'.__('Author ID:').' '.
 	form::field('new_auth_id',20,255).
 	'</label> ';
Index: admin/search.php
===================================================================
--- admin/search.php	(revision 0)
+++ admin/search.php	(revision 70)
@@ -76,7 +76,7 @@
 '<form action="search.php" method="get">'.
 '<fieldset><legend>'.__('Search options').'</legend>'.
-'<p><label class="classic">'.__('Query:').' '.form::field('q',30,255,html::escapeHTML($q)).'</label> '.
-'<label class="classic">'.form::radio(array('qtype'),'p',$qtype == 'p').' '.__('search entries').'</label> '.
-'<label class="classic">'.form::radio(array('qtype'),'c',$qtype == 'c').' '.__('search comments').'</label> '.
+'<p><label for="q" class="classic">'.__('Query:').' '.form::field('q',30,255,html::escapeHTML($q)).'</label> '.
+'<label for="qtype1" class="classic">'.form::radio(array('qtype','qtype1'),'p',$qtype == 'p').' '.__('search entries').'</label> '.
+'<label for="qtype2" class="classic">'.form::radio(array('qtype','qtype2'),'c',$qtype == 'c').' '.__('search comments').'</label> '.
 ' <input type="submit" value="'.__('ok').'" /></p>'.
 '</fieldset>'.
@@ -125,6 +125,6 @@
 		'<p class="col checkboxes-helpers"></p>'.
 		
-		'<p class="col right">'.__('Selected entries action:').
-		form::combo('action',$combo_action).
+		'<p class="col right"><label for="action1" class="inline"'.__('Selected entries action:').'</label> '.
+		form::combo(array('action','action1'),$combo_action).
 		'<input type="submit" value="'.__('ok').'" /></p>'.
 		form::hidden('redir',preg_replace('/%/','%%',$redir)).
@@ -165,6 +165,6 @@
 		'<p class="col checkboxes-helpers"></p>'.
 		
-		'<p class="col right">'.__('Selected comments action:').' '.
-		form::combo('action',$combo_action).
+		'<p class="col right"><label for="action2" class="inline">'.__('Selected comments action:').'</label> '.
+		form::combo(array('action','action2'),$combo_action).
 		'<input type="submit" value="'.__('ok').'" /></p>'.
 		form::hidden('redir',preg_replace('/%/','%%',$redir)).
Index: admin/trackbacks.php
===================================================================
--- admin/trackbacks.php	(revision 0)
+++ admin/trackbacks.php	(revision 70)
@@ -119,9 +119,9 @@
 '<h3>'.__('Ping blogs').'</h3>'.
 '<form action="trackbacks.php" id="trackback-form" method="post">'.
-'<p><label class="area">'.__('URLs to ping:').
+'<p><label for="tb_urls" class="area">'.__('URLs to ping:').
 form::textarea('tb_urls',60,5,$tb_urls).
 '</label></p>'.
 
-'<p><label class="area">'.__('Send excerpt:').
+'<p><label for="tb_excerpt" class="area">'.__('Send excerpt:').
 form::textarea('tb_excerpt',60,3,$tb_excerpt).'</label></p>'.
 
Index: admin/user.php
===================================================================
--- admin/user.php	(revision 0)
+++ admin/user.php	(revision 70)
@@ -190,30 +190,30 @@
 '<div class="two-cols">'.
 '<div class="col">'.
-'<p><label class="required" title="'.__('Required field').'">'.__('Username:').' '.
+'<p><label for="user_id" class="required"><abbr title="'.__('Required field').'">*</abbr> '.__('Username:').' '.
 form::field('user_id',20,255,html::escapeHTML($user_id),'',2).
 '</label></p>'.
 '<p class="form-note">'.__('At least 2 characters using letters, numbers or symbols.').'</p>'.
 
-'<p><label>'.($user_id!='' ? __('New password:') : __('Password:')).' '.
+'<p><label for="new_pwd">'.($user_id!='' ? __('New password:') : __('Password:')).' '.
 form::password('new_pwd',20,255,'','',3).
 '</label></p>'.
 
-'<p><label>'.__('Confirm password:').' '.
+'<p><label for="new_pwd_c">'.__('Confirm password:').' '.
 form::password('new_pwd_c',20,255,'','',4).
 '</label></p>'.
 
-'<p><label>'.__('Last Name:').' '.
+'<p><label for="user_name">'.__('Last Name:').' '.
 form::field('user_name',20,255,html::escapeHTML($user_name),'',5).
 '</label></p>'.
 
-'<p><label>'.__('First Name:').' '.
+'<p><label for="user_firstname">'.__('First Name:').' '.
 form::field('user_firstname',20,255,html::escapeHTML($user_firstname),'',6).
 '</label></p>'.
 
-'<p><label>'.__('Display name:').' '.
+'<p><label for="user_displayname">'.__('Display name:').' '.
 form::field('user_displayname',20,255,html::escapeHTML($user_displayname),'',7).
 '</label></p>'.
 
-'<p><label>'.__('Email:').' '.
+'<p><label for="user_email">'.__('Email:').' '.
 form::field('user_email',20,255,html::escapeHTML($user_email),'',8).
 '</label></p>'.
@@ -221,12 +221,12 @@
 
 '<div class="col">'.
-'<p><label>'.__('URL:').' '.
+'<p><label for="user_url">'.__('URL:').' '.
 form::field('user_url',30,255,html::escapeHTML($user_url),'',9).
 '</label></p>'.
-'<p><label>'.__('Preferred format:').' '.
+'<p><label for="user_post_format">'.__('Preferred format:').' '.
 form::combo('user_post_format',$formaters_combo,$user_options['post_format'],'',10).
 '</label></p>'.
 
-'<p><label>'.__('Default entry status:').' '.
+'<p><label for="user_post_status">'.__('Default entry status:').' '.
 form::combo('user_post_status',$status_combo,$user_post_status,'',11).
 '</label></p>'.
@@ -236,9 +236,9 @@
 '</label></p>'.
 
-'<p><label>'.__('User language:').' '.
+'<p><label for="user_edit_size">'.__('User language:').' '.
 form::combo('user_lang',$lang_combo,$user_lang,'l10n',13).
 '</label></p>'.
 
-'<p><label>'.__('User timezone:').' '.
+'<p><label for="user_tz">'.__('User timezone:').' '.
 form::combo('user_tz',dt::getZones(true,true),$user_tz,'',14).
 '</label></p>';
@@ -246,5 +246,5 @@
 if ($core->auth->allowPassChange()) {
 	echo
-	'<p><label class="classic">'.
+	'<p><label for="user_change_pwd" class="classic">'.
 	form::checkbox('user_change_pwd','1',$user_change_pwd,'',15).' '.
 	__('Password change required to connect').'</label></p>';
@@ -252,5 +252,5 @@
 
 echo
-'<p><label class="classic">'.form::checkbox('user_super','1',$user_super,'',16).' '.
+'<p><label for="user_super" class="classic">'.form::checkbox('user_super','1',$user_super,'',16).' '.
 __('Super administrator').'</label></p>'.
 '</div>'.
@@ -263,5 +263,5 @@
 echo
 '<fieldset>'.
-'<p><label>'.__('Your password:').
+'<p><label for="your_pwd">'.__('Your password:').
 form::password('your_pwd',20,255,'','',17).'</label></p>'.
 '</fieldset>'.
Index: admin/users.php
===================================================================
--- admin/users.php	(revision 3)
+++ admin/users.php	(revision 70)
@@ -130,8 +130,8 @@
 	
 	'<div class="col">'.
-	'<p><label>'.__('Order by:').' '.
+	'<p><label for="sortby">'.__('Order by:').' '.
 	form::combo('sortby',$sortby_combo,$sortby).
 	'</label> '.
-	'<label>'.__('Sort:').' '.
+	'<label for="order">'.__('Sort:').' '.
 	form::combo('order',$order_combo,$order).
 	'</label></p>'.
@@ -139,8 +139,8 @@
 	
 	'<div class="col">'.
-	'<p><label>'.__('Search:').' '.
+	'<p><label for="q">'.__('Search:').' '.
 	form::field('q',20,255,html::escapeHTML($q)).
 	'</label></p>'.
-	'<p><label class="classic">'.	form::field('nb',3,3,$nb_per_page).' '.
+	'<p><label for="nb" class="classic">'.	form::field('nb',3,3,$nb_per_page).' '.
 	__('Users per page').'</label> '.
 	'<input type="submit" value="'.__('Apply filters').'" /></p>'.
@@ -160,5 +160,5 @@
 	'<p class="col checkboxes-helpers"></p>'.
 	
-	'<p class="col right"><label class="classic">'.
+	'<p class="col right"><label for="dispatch_action" class="classic">'.
 	__('Selected users action:').' '.
 	form::combo('dispatch_action',$combo_action).