Index: admin/auth.php
===================================================================
--- admin/auth.php	(revision 0)
+++ admin/auth.php	(revision 11)
@@ -319,9 +319,9 @@
 	echo
 	'<fieldset><legend>'.__('Request a new password').'</legend>'.
-	'<p><label>'.__('Username:').' '.
-	form::field(array('user_id'),20,32,html::escapeHTML($user_id),'',1).'</label></p>'.
-	
-	'<p><label>'.__('Email:').' '.
-	form::field(array('user_email'),20,255,html::escapeHTML($user_email),'',2).'</label></p>'.
+	'<p><label for="user_id">'.__('Username:').' '.
+	form::field(array('user_id','user_id'),20,32,html::escapeHTML($user_id),'',1).'</label></p>'.
+	
+	'<p><label for="user_email">'.__('Email:').' '.
+	form::field(array('user_email','user_email'),20,255,html::escapeHTML($user_email),'',2).'</label></p>'.
 	
 	'<p><input type="submit" value="'.__('recover').'" tabindex="3" />'.
@@ -335,9 +335,9 @@
 	echo
 	'<fieldset><legend>'.__('Change your password').'</legend>'.
-	'<p><label>'.__('New password:').' '.
-	form::password(array('new_pwd'),20,255,'','',1).'</label></p>'.
-	
-	'<p><label>'.__('Confirm password:').' '.
-	form::password(array('new_pwd_c'),20,255,'','',2).'</label></p>'.
+	'<p><label for="new_pwd">'.__('New password:').' '.
+	form::password(array('new_pwd','new_pwd'),20,255,'','',1).'</label></p>'.
+	
+	'<p><label for="new_pwd_c">'.__('Confirm password:').' '.
+	form::password(array('new_pwd_c','new_pwd_c'),20,255,'','',2).'</label></p>'.
 	'</fielset>'.
 	
@@ -359,13 +359,13 @@
 		}
 		echo
-		'<p><label>'.__('Username:').' '.
-		form::field(array('user_id'),20,32,html::escapeHTML($user_id),'',1).'</label></p>'.
-		
-		'<p><label>'.__('Password:').' '.
-		form::password(array('user_pwd'),20,255,'','',2).'</label></p>'.
+		'<p><label for="user_id">'.__('Username:').' '.
+		form::field(array('user_id','user_id'),20,32,html::escapeHTML($user_id),'',1).'</label></p>'.
+		
+		'<p><label for="user_pwd">'.__('Password:').' '.
+		form::password(array('user_pwd','user_pwd'),20,255,'','',2).'</label></p>'.
 		
 		'<p><label class="classic">'.
-		form::checkbox(array('user_remember'),1,'','',3).' '.
-		__('Remember my ID on this computer').'</label></p>'.
+		'<p><label for="user_remember" class="classic">'.
+		form::checkbox(array('user_remember','user_remember'),1,'','',3).' '.
 		
 		'<p><input type="submit" value="'.__('login').'" tabindex="4" /></p>';
Index: admin/preferences.php
===================================================================
--- admin/preferences.php	(revision 10)
+++ admin/preferences.php	(revision 11)
@@ -254,5 +254,5 @@
 '<div class="two-cols">'.
 '<div class="col">'.
-'<p><label for"user_name">'.__('Last Name:').
+'<p><label for="user_name">'.__('Last Name:').
 form::field('user_name',20,255,html::escapeHTML($user_name),'',2).'</label></p>'.
 
@@ -352,4 +352,5 @@
 echo '<div class="col70">';
 echo '<fieldset id="my-favs"><legend>'.__('My favorites').'</legend>';
+echo '<p>'.__('Modify numbers in fields to change favorites order.').'</p>';
 $count = 0;
 foreach ($ws->dumpPrefs() as $k => $v) {
@@ -362,5 +363,5 @@
 			echo '<li id="fu-'.$k.'">'.
 				'<img src="'.$fav['large-icon'].'" alt="" /> '.
-				'<span>'.form::field(array('order['.$k.']'),2,3,$count).'</span>'.
+				form::field(array('order['.$k.']'),2,3,$count,'position','',false,'title="position de '.$fav['title'].'"').
 				'<label for="fuk-'.$k.'">'.form::checkbox(array('remove[]','fuk-'.$k),$k).$fav['title'].'</label>'.
 				'</li>';
@@ -423,5 +424,5 @@
 		$count++;
 		echo '<li id="fa-'.$fav[0].'">'.'<label for="fak-'.$fav[0].'">'.
-			'<span class="minimal">'.form::checkbox(array('append[]','fak-'.$fav[0]),$k).'</span>'.
+			form::checkbox(array('append[]','fak-'.$fav[0]),$k).
 			'<img src="'.$fav[3].'" alt="" /> '.'<span class="zoom"><img src="'.$fav[4].'" alt="" /></span>'.$fav[1].
 			'</label>'.'</li>';
Index: admin/style/default.css
===================================================================
--- admin/style/default.css	(revision 3)
+++ admin/style/default.css	(revision 11)
@@ -438,9 +438,9 @@
 #my-favs label {height: 2.5em;width:140px;margin-top:.3em;}
 #my-favs label input {display:inline;}
-#my-favs img, #my-favs span {
-	display: block;
-}
-#my-favs span {
-	margin: 0 .2em .4em .2em;
+#my-favs img {
+	display: block;
+}
+#my-favs input.position {
+	margin: 0 0 .4em .2em;
 }
 #available-favs input, #available-favs label, #available-favs label span {
Index: locales/fr/main.po
===================================================================
--- locales/fr/main.po	(revision 3)
+++ locales/fr/main.po	(revision 11)
@@ -2675,4 +2675,7 @@
 msgstr "nouvelle fenêtre"
 
+msgid "Modify numbers in fields to change favorites order."
+msgstr "Modifiez les nombres dans les champs pour changer l'ordre des favoris."
+
 msgid "Those favorites are displayed when My Favorites list is empty."
 msgstr "Favoris affichés quand la liste Mes Favoris est vide."